## ros-melodic-rc-visard-driver 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(rc_visard_driver)
include(cmake/project_version.cmake)

# - Configuration for code optimization -

if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RELEASE CACHE STRING "Build type: DEBUG or RELEASE" FORCE)
endif ()

# - Standard definitions -

if (CMAKE_MAJOR_VERSION VERSION_LESS "3.1.0")
  add_definitions(-std=c++11)
else ()
  set(CMAKE_CXX_STANDARD 11)
endif ()
add_definitions(-Wall)
add_definitions(-Wno-unknown-pragmas)

# add a target to generate API documentation with Doxygen

add_subdirectory(doc)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  nodelet
  roscpp
  rc_common_msgs
  sensor_msgs
  image_transport
  dynamic_reconfigure
  geometry_msgs
  tf
  nav_msgs
  visualization_msgs
  message_generation
)

## Generate services in the 'srv' folder
add_service_files(
    FILES
    GetTrajectory.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
        DEPENDENCIES
        nav_msgs
)


## System dependencies are found with CMake's conventions
find_package(RC_GENICAM_API 2.0.0 REQUIRED)
find_package(RC_DYNAMICS_API 0.8 REQUIRED)

#########################################
## Definitions for dynamic reconfigure ##
#########################################

generate_dynamic_reconfigure_options(cfg/rc_visard_driver.cfg)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES rc_stereocamera
  CATKIN_DEPENDS nodelet roscpp sensor_msgs geometry_msgs rc_common_msgs nav_msgs
#  DEPENDS
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  ${catkin_INCLUDE_DIRS}
  ${RC_GENICAM_API_INCLUDE_DIRS}
  ${RC_DYNAMICS_API_INCLUDE_DIRS}
)

add_subdirectory(src)


#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
        rc_visard_driver_nodelet.xml
        README.md
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        )
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

######################################
## Define information for packaging ##
######################################
# optionally specify dependencies of the debian package here (comma separated!)
set(CPACK_DEBIAN_PACKAGE_DEPENDS "rc-genicam-api (>= 2.0.0) | ros-$ENV{ROS_DISTRO}-rc-genicam-api (>= 2.0.0), rc-dynamics-api (>= 0.10.0) | ros-$ENV{ROS_DISTRO}-rc-dynamics-api (>= 0.10.0), ros-$ENV{ROS_DISTRO}-image-pipeline, ros-$ENV{ROS_DISTRO}-tf, ros-$ENV{ROS_DISTRO}-tf2")

include(cmake/package_debian.cmake)

=== doc/CMakeLists.txt ===
# add a target to generate API documentation with Doxygen
find_package(Doxygen)
if(DOXYGEN_FOUND)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
  add_custom_target(rc_visard_driver_doc
      ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
      COMMENT "Generating API documentation with Doxygen" VERBATIM
  )
else(DOXYGEN_FOUND)
  add_custom_target(rc_visard_driver_doc
      echo "Can't build docs without doxygen installed." && exit 1
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
      COMMENT "Generating API documentation with Doxygen" VERBATIM
  )
endif(DOXYGEN_FOUND)

=== debian/changelog ===
ros-melodic-rc-visard-driver (3.1.0-2stretch) stretch; urgency=high

  * Change: publish all images on */image_rect topics, meaning don't filter out1 low in alternate mode
  * Change: always publish *_out1_low and *_out1_high topics even if no iocontrol license is available
  * debug messages when GenICam params are changed
  * rename adaptive_out1_reduction to out1_reduction
  * add Out1High camera_exp_auto_mode (requires rc_visard firmware <= 20.10.1)
  * add depth_double_shot parameter (requires rc_visard firmware <= 20.10.1)

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-rc-visard-driver (3.0.5-2stretch) stretch; urgency=high

  * add noise, test, adaptive_out1_reduction and brightness to CameraParam extra_data if available

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 19 Oct 2020 22:00:00 -0000

ros-melodic-rc-visard-driver (3.0.4-2stretch) stretch; urgency=high

  * Removed forgotten debug log output

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 22 Sep 2020 22:00:00 -0000

ros-melodic-rc-visard-driver (3.0.3-2stretch) stretch; urgency=high

  * Removed parameter disparity range as it will be removed on rc_visard >= 20.10.0
    (Use dynamic parameters depth_mindepth and depth_maxdepth for controlling thedepth range and coloring of disparity_color images.)

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-melodic-rc-visard-driver (3.0.2-2stretch) stretch; urgency=high

  * Fixed filtering out images with projection if stereo matching is used single shot and controls a random dot projector
  * Removed parameter depth_median as it will be removed on rc_visard >= 20.10.0
  * rc_pick_client: fix grasp markers
  * Fixed dockerfiles
  * Update readme

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 27 Jul 2020 22:00:00 -0000

ros-melodic-rc-visard-driver (3.0.1-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 13 May 2020 22:00:00 -0000

ros-melodic-rc-visard-driver (3.0.0-2stretch) stretch; urgency=high

  * rc_visard_driver depends on rc_common_msgs >= 0.5
  * Added estimated noise level of image as extra_data in CameraParam message
  * Added dynamic parameter camera_exp_auto_mode with backward compatibility to old rc_visards
  * Only update dynamic out1_mode parameter from buffers with intensity images or by polling global nodemap
  * Ensure that the alternate active mode is set before publishing images
  * Used updating of out1_mode to check for valid connection, even if no buffers are expected.
  * dynamic reconfigure parameter out1_mode is automatically updated if changed on sensor
  * Disparity range that is used for disparity images and visualization now correctly considers quality setting
  * warn if DepthAcquisitionMode is not supported by rc_visard firmware version
  * add complete_buffers_total to diagnostics
  * Publish rc_common_msgs/CameraParams with every image.
    This provides information that is missing in CameraInfo,
    like current exposure time and gain.
  * add imu2cam as static tf which is published once the driver is ready
    - driver checks if cam2imu transform can be retrieved from sensor
    or if sensor image is too old
    - in first case static tf is published
    - in latter case old behaviour is implemented, i.e. tf is published
    when subscribed to dynamics stream
  * fix empty error message
  * change to warning for those logs that inform about missing left images for disp images
  * Implemented depth acquisition mode SingleFrameOut1
  * Contributors: Christian Emmerich, Felix Ruess, Heiko Hirschmueller

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 12 May 2020 22:00:00 -0000

ros-melodic-rc-visard-driver (2.7.0-2stretch) stretch; urgency=high

  * replaced std_srvs/Trigger with rc_common_msgs/Trigger
  * add support for setting exposure region via dynamic_reconfigure

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 18 Jul 2019 22:00:00 -0000

ros-melodic-rc-visard-driver (2.6.4-2stretch) stretch; urgency=high

  * fix race condition when changing exposure mode from auto to manual
  * require ROS version with SteadyTime
  * use enums in dynamic reconfigure for easier usage

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-melodic-rc-visard-driver (2.6.3-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-rc-visard-driver (2.6.2-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 10 Jun 2019 22:00:00 -0000

ros-melodic-rc-visard-driver (2.6.1-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 19 May 2019 22:00:00 -0000

ros-melodic-rc-visard-driver (2.6.0-2stretch) stretch; urgency=high

  * auto-start dynamics only on the very first startup
  * improve handling and error messages for dynamics streams
  * update exposure and gain after switching from auto to manual
  * add check if rc_visard ready (genicam feature: RcSystemReady)
  * if multipart is available, still send single components per buffer
  * refactoring/cleanup

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 19 May 2019 22:00:00 -0000

ros-melodic-rc-visard-driver (2.5.0-2stretch) stretch; urgency=high

  * add parameter for max number of reconnections
  * fix: enable driver to try to recover even if the very first time no connection worked out
  * add diagnostics
  * fix reporting of package size
  * Fixed hanging image streams after restart of sensor
  * Support for rc_visard firmware v1.5.0 additions (require StereoPlus license)
    * quality full
    * advanced smoothing
  * improved driver's auto-connect behavior
  * also reapply dynamic_reconfigure params after recovery
  * fix projection matrix in published right CameraInfo

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 04 Feb 2019 23:00:00 -0000

ros-melodic-rc-visard-driver (2.4.2-2stretch) stretch; urgency=high


## ros-melodic-rc-visard-driver 3.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # - Standard definitions -
 
-if (CMAKE_MAJOR_VERSION VERSION_LESS "3.1.0")
+if (CMAKE_VERSION VERSION_LESS "3.1.0")
   add_definitions(-std=c++11)
 else ()
   set(CMAKE_CXX_STANDARD 11)
@@ -19,9 +19,6 @@
 add_definitions(-Wall)
 add_definitions(-Wno-unknown-pragmas)
 
-# add a target to generate API documentation with Doxygen
-
-add_subdirectory(doc)
 
 ## Find catkin macros and libraries
 ## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)

=== src/CMakeLists.txt ===

set(SRC
    device_nodelet.cc
    dynamics_handlers.cc
    protobuf2ros_stream.cc
    ThreadedStream.cc
    publishers/camera_info_publisher.cc
    publishers/camera_param_publisher.cc
    publishers/image_publisher.cc
    publishers/disparity_publisher.cc
    publishers/disparity_color_publisher.cc
    publishers/depth_publisher.cc
    publishers/confidence_publisher.cc
    publishers/error_disparity_publisher.cc
    publishers/error_depth_publisher.cc
    publishers/points2_publisher.cc
    publishers/protobuf2ros_publisher.cc
    publishers/protobuf2ros_conversions.cc
    publishers/genicam2ros_publisher.h)

# build and install the nodelet

link_directories(${RC_GENICAM_API_LIBRARY_DIRS})

add_library(rc_visard_driver_nodelet ${SRC})

target_link_libraries(rc_visard_driver_nodelet
  PUBLIC
    ${catkin_LIBRARIES}
  PRIVATE
    rc_genicam_api::rc_genicam_api
    ${RC_DYNAMICS_API_LIBRARIES})

add_executable(rc_visard_driver device_node.cc)
target_link_libraries(rc_visard_driver ${catkin_LIBRARIES})

install(TARGETS rc_visard_driver rc_visard_driver_nodelet
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

add_dependencies(rc_visard_driver_nodelet rc_visard_driver_gencfg)

=== debian/changelog ===
ros-melodic-rc-visard-driver (3.3.2-1bionic) bionic; urgency=high

  * require at least rc_visard firmware version 22.04

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 17 Feb 2022 23:00:00 -0000

ros-melodic-rc-visard-driver (3.3.1-1bionic) bionic; urgency=high

  * Protected translation from GenICam to CamParam message with mutex to avoid race condition when changing out1_mode

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 17 Feb 2022 23:00:00 -0000

ros-melodic-rc-visard-driver (3.3.0-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 07 Feb 2022 23:00:00 -0000

ros-melodic-rc-visard-driver (3.2.4-1bionic) bionic; urgency=high

  * Add exposure_adapt_timeout parameter
  * update parameter description with enum values in square brackets
  * fix line_source and add more extra_data to CameraParam

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 14 Nov 2021 23:00:00 -0000

ros-melodic-rc-visard-driver (3.2.3-1bionic) bionic; urgency=high

  * Fixed building on internal gitlab CI

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 02 Aug 2021 22:00:00 -0000

ros-melodic-rc-visard-driver (3.2.2-1bionic) bionic; urgency=high

  Changes supporting rc_sgm_producer:
  * Extend color format to RGB8
  * Using parameter PtpEnable instead of deprecated parameter GevIEEE1588 for controlling PTP

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-melodic-rc-visard-driver (3.2.1-1bionic) bionic; urgency=high

  * Only checking for rc_visard as model and not for vendor when detecting devices

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 10 Feb 2021 23:00:00 -0000

ros-melodic-rc-visard-driver (3.2.0-1bionic) bionic; urgency=high

  * update cmake files for better version handling
  * set out1_mode immediately in reconfigure callback to avoid race condition
  * default out1_mode is Low

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 27 Jan 2021 23:00:00 -0000

ros-melodic-rc-visard-driver (3.1.0-1bionic) bionic; urgency=high

  * Change: publish all images on */image_rect topics, meaning don't filter out1 low in alternate mode
  * Change: always publish *_out1_low and *_out1_high topics even if no iocontrol license is available
  * debug messages when GenICam params are changed
  * rename adaptive_out1_reduction to out1_reduction
  * add Out1High camera_exp_auto_mode (requires rc_visard firmware >= 20.11.0)
  * add depth_double_shot parameter (requires rc_visard firmware >= 20.11.0)

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-rc-visard-driver (3.0.5-1bionic) bionic; urgency=high

  * add noise, test, adaptive_out1_reduction and brightness to CameraParam extra_data if available

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 19 Oct 2020 22:00:00 -0000

ros-melodic-rc-visard-driver (3.0.4-1bionic) bionic; urgency=high

  * Removed forgotten debug log output

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 22 Sep 2020 22:00:00 -0000

ros-melodic-rc-visard-driver (3.0.3-1bionic) bionic; urgency=high

  * Removed parameter disparity range as it will be removed on rc_visard >= 20.10.0
    (Use dynamic parameters depth_mindepth and depth_maxdepth for controlling thedepth range and coloring of disparity_color images.)

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-melodic-rc-visard-driver (3.0.2-1bionic) bionic; urgency=high

  * Fixed filtering out images with projection if stereo matching is used single shot and controls a random dot projector
  * Removed parameter depth_median as it will be removed on rc_visard >= 20.10.0
  * rc_pick_client: fix grasp markers
  * Fixed dockerfiles
  * Update readme

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 27 Jul 2020 22:00:00 -0000

ros-melodic-rc-visard-driver (3.0.1-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 13 May 2020 22:00:00 -0000

ros-melodic-rc-visard-driver (3.0.0-1bionic) bionic; urgency=high

  * rc_visard_driver depends on rc_common_msgs >= 0.5
  * Added estimated noise level of image as extra_data in CameraParam message
  * Added dynamic parameter camera_exp_auto_mode with backward compatibility to old rc_visards
  * Only update dynamic out1_mode parameter from buffers with intensity images or by polling global nodemap
  * Ensure that the alternate active mode is set before publishing images
  * Used updating of out1_mode to check for valid connection, even if no buffers are expected.
  * dynamic reconfigure parameter out1_mode is automatically updated if changed on sensor
  * Disparity range that is used for disparity images and visualization now correctly considers quality setting
  * warn if DepthAcquisitionMode is not supported by rc_visard firmware version
  * add complete_buffers_total to diagnostics
  * Publish rc_common_msgs/CameraParams with every image.
    This provides information that is missing in CameraInfo,
    like current exposure time and gain.
  * add imu2cam as static tf which is published once the driver is ready
    - driver checks if cam2imu transform can be retrieved from sensor
    or if sensor image is too old
    - in first case static tf is published
    - in latter case old behaviour is implemented, i.e. tf is published
    when subscribed to dynamics stream
  * fix empty error message
  * change to warning for those logs that inform about missing left images for disp images
  * Implemented depth acquisition mode SingleFrameOut1
  * Contributors: Christian Emmerich, Felix Ruess, Heiko Hirschmueller

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 12 May 2020 22:00:00 -0000

ros-melodic-rc-visard-driver (2.7.0-1bionic) bionic; urgency=high

  * replaced std_srvs/Trigger with rc_common_msgs/Trigger
  * add support for setting exposure region via dynamic_reconfigure

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 18 Jul 2019 22:00:00 -0000



=== debian/control ===
Source: ros-melodic-rc-visard-driver
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), curl, libcurl4-openssl-dev, libprotobuf-dev, libprotoc-dev, protobuf-compiler, ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-rc-common-msgs (>= 0.5.0), ros-melodic-rc-dynamics-api (>= 0.10.0), ros-melodic-rc-genicam-api (>= 2.0.0), ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-stereo-msgs, ros-melodic-tf, ros-melodic-visualization-msgs
Homepage: http://wiki.ros.org/rc_visard_driver
Standards-Version: 3.9.2

Package: ros-melodic-rc-visard-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libcurl4-openssl-dev, libprotobuf10, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-message-runtime, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-rc-common-msgs (>= 0.5.0), ros-melodic-rc-dynamics-api (>= 0.10.0), ros-melodic-rc-genicam-api (>= 2.0.0), ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-stereo-msgs, ros-melodic-tf, ros-melodic-visualization-msgs
Description: The rc_visard_driver provides data from a Roboception rc_visard 3D sensor on several ROS topics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rc-visard-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
